#include <stdio.h>
using namespace std;
int main(int argc, const char * argv[]) {
    long long v;
    int a[18];
    int n=0;
    int br=0;
    scanf("%lld", &v);
    while(v>0)
    {
        a[n]=v%10;
        v/=10;
        n++;
    }
    for(int i=0;i<n;i++)
    {
        if(a[i]>=5)
        {
            br++;
            a[i]%=5;
        }
        if(a[i]==4 || a[i]==3)
            br+=2;
        else if(a[i]==2 || a[i]==1)
            br++;
    }
    printf("%d",br);
    
    
    
    
    return 0;
}